Page MenuHomePhabricator

Documented steps for engaging with communities in product stages
Closed, ResolvedPublic

Description

Create a sort of checklist of community work during a product life cycle for community liaisons and product managers.

draft

Related Objects

StatusAssignedTask
DuplicateQgil
ResolvedQgil
ResolvedQgil
DuplicateNone
DuplicateNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
StalledNone
OpenNone
ResolvedQgil
ResolvedKeegan
OpenNone
ResolvedMoushira
OpenNone
OpenNone
DuplicateNone
ResolvedKeegan
OpenNone
InvalidKeegan
DeclinedKeegan
ResolvedKeegan
ResolvedKeegan
ResolvedKeegan

Event Timeline

Keegan created this task.Feb 9 2016, 12:48 AM
Keegan claimed this task.
Keegan raised the priority of this task from to Normal.
Keegan updated the task description. (Show Details)
Keegan added a subscriber: Keegan.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 9 2016, 12:48 AM
Elitre added a subscriber: Elitre.Feb 9 2016, 6:39 PM

From what I understand, the /Communities page will transclude information from each of the five steps that is relevant to community role and participation with each particular step; in other words, the page should be a nutshell for community members to know what is expected of them in each step of product development.

This task documents what CLs do in conjunction with product teams to inform both teams and communities about participation and expectations at each level, as well as documenting the communications around the information and then what we do with the community feedback we collect.

To me, there is a distinct difference in purpose between the two pages.

Okay, all I have left to do to close this is figure out a home for the checklist. A sub-page of the pdp? Of the Community Liaison space?

@Qgil @Quiddity thoughts?

Qgil added a comment.Feb 25 2016, 8:40 PM

I still think that it is better to use the subpages for stages, transcluding by audiences. At least at the beginning. This is the way to assure that people interested in Understand can read all about it in one page, and people interested in Communities can also read everything in one page. Having two axes is already complex enough, adding more information in third pages might be a recipe for confusion / duplication.

So from https://www.mediawiki.org/wiki/User:Keegan_(WMF)/PDP/CL_checklist, I would put the Understand portion under https://www.mediawiki.org/wiki/WMF_product_development_process/Understand#Communities, and the same with the rest of sections. Then transclude.

If later on this is not enough, we can always play with transcluded / non-transcluded content. But in any case, all about Communities should be found at https://www.mediawiki.org/wiki/WMF_product_development_process/Communties

Does this make sense?

@Qgil are you suggesting you'd break the checklist apart and transclude it back together, instead of having sections transclude elsewhere? The latter might be more practical, and keeps the thing together as one editable document.

Qgil added a comment.Feb 27 2016, 7:50 AM

Yes, you are right. Keeping the pages editable by audiences makes more sense, since audiences will have clearer maintainers, whereas stages probably won't.

Summarizing: this checklist should go to /Communities, and then each section could be transcluded in its related stage page.

Keegan set Security to None.
Keegan closed this task as Resolved.Mar 2 2016, 10:02 PM

Checklist now lives at WMF product development process/Communities, and sections are transcluded into each of the WMF product development process sub-pages.

Qgil added a comment.Mar 2 2016, 10:07 PM

OK, this is very good. I am not sure about closing the task already. Does https://www.mediawiki.org/wiki/WMF_product_development_process/Communities have the buy-in from Product, or even Technical Collaboration? How should we call for community review? You could also consider this task as completing the first proposal (which you did), and then use T124022 as ultimate check for a reviewed version.

The checklist has buy-in, yes. I considered this task to be for creating the checklist, going over it with CLs and Product, and then finding a home for it, thus it is resolved. I'm using this task and T124022 as you describe, with T124022 being the parent.

Qgil awarded a token.Mar 2 2016, 10:28 PM